SQL Relay ADO.NET API: SQLRClient.SQLRelayCommand Class Reference

SQL Relay ADO.NET API

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
SQLRClient.SQLRelayCommand Class Reference

Inherits IDbCommand.

## Public Member Functions
| SQLRelayCommand ()
| SQLRelayCommand (String commandtext)
| SQLRelayCommand (String commandtext, SQLRelayConnection sqlrelaycon)
| SQLRelayCommand (String commandtext, SQLRelayConnection sqlrelaycon, SQLRelayTransaction sqlrelaytran)
void | Cancel ()
IDbDataParameter | CreateParameter ()
Int32 | ExecuteNonQuery ()
IDataReader | ExecuteReader ()
IDataReader | ExecuteReader (CommandBehavior commandbehavior)
Object | ExecuteScalar ()
void | Prepare ()

## Properties
String | CommandText`[get, set]`
Int32 | CommandTimeout`[get, set]`
CommandType | CommandType`[get, set]`
IDbConnection | Connection`[get, set]`
SQLRelayParameterCollection | Parameters`[get]`
IDbTransaction | Transaction`[get, set]`
UpdateRowSource | UpdatedRowSource`[get, set]`
UInt64 | ResultSetBufferSize`[get, set]`

## Constructor & Destructor Documentation

SQLRClient.SQLRelayCommand.SQLRelayCommand | ( |  | ) |

Initializes a new instance of the SQLRelayCommand class.

SQLRClient.SQLRelayCommand.SQLRelayCommand | ( | String | commandtext | ) |

Initializes a new instance of the SQLRelayCommand class with the text of the query.

SQLRClient.SQLRelayCommand.SQLRelayCommand | ( | String | commandtext,
|  | SQLRelayConnection | sqlrelaycon
| ) |  |

Initializes a new instance of the SQLRelayCommand class with the text of the query and a SQLRelayConnection

SQLRClient.SQLRelayCommand.SQLRelayCommand | ( | String | commandtext,
|  | SQLRelayConnection | sqlrelaycon,
|  | SQLRelayTransaction | sqlrelaytran
| ) |  |

Initializes a new instance of the SQLRelayCommand class with the text of the query, a SQLRelayConnection, and the SQLRelayTransaction.

## Member Function Documentation

void SQLRClient.SQLRelayCommand.Cancel | ( |  | ) |

Tries to cancel the executeion of a SQLRelayCommand. This method is implemented because it is required by the interface but SQLRelay does not support cancelling commands and calling it will throw NotSupportedException.

IDbDataParameter SQLRClient.SQLRelayCommand.CreateParameter | ( |  | ) |

Creates a new instance of an SQLRelayParameter object.

Int32 SQLRClient.SQLRelayCommand.ExecuteNonQuery | ( |  | ) |

Sends the CommandText to the SQLRelayConnection and returns the number of rows affected.

IDataReader SQLRClient.SQLRelayCommand.ExecuteReader | ( |  | ) |

Sends the CommandText to the SQLRelayConnection and builds and returns a SQLRelayDataReader.

IDataReader SQLRClient.SQLRelayCommand.ExecuteReader | ( | CommandBehavior | commandbehavior | ) |

Sends the CommandText to the SQLRelayConnection and builds and returns a SQLRelayDataReader using one of the CommandBehavior values.

Object SQLRClient.SQLRelayCommand.ExecuteScalar | ( |  | ) |

Sends the CommandText to the SQLRelayConnection and returns the first column of the first row in the result set returned by the query. Additional columns or rows are ignored.

void SQLRClient.SQLRelayCommand.Prepare | ( |  | ) |

Creates a prepared version of the command on the database.

## Property Documentation

String SQLRClient.SQLRelayCommand.CommandText
| getset

Gets or sets the text of the query that will be executed when ExecuteNonQuery, ExecuteScalar or ExecuteReader are called.

Int32 SQLRClient.SQLRelayCommand.CommandTimeout
| getset

Gets or sets the wait time before terminating the attempt to execute a command and generating an error. This method is implemented because it is required by the interface but SQLRelay does not support command timeouts, so a Get returns 0 and a Set to any value but 0 throws NotSupportedException.

CommandType SQLRClient.SQLRelayCommand.CommandType
| getset

Gets or sets a value indicating how the CommandText property is to be interpreted. This method is implemented because it is required by the interface but SQLRelay does not support command types, so a Get returns CommandType.Text and a Set to any type other than CommandType.Text throws NotSupportedException.

IDbConnection SQLRClient.SQLRelayCommand.Connection
| getset

Gets or sets the SQLRelayConnection used by this instance of SQLRelayCommand.

SQLRelayParameterCollection SQLRClient.SQLRelayCommand.Parameters
| get

Gets the SQLRelayParameterCollection.

UInt64 SQLRClient.SQLRelayCommand.ResultSetBufferSize
| getset

Gets or sets the number of rows of the result set to buffer at a time. 0 (the default) means buffer the entire result set.

IDbTransaction SQLRClient.SQLRelayCommand.Transaction
| getset

Gets or sets the SQLRelayTransaction within which the SQLRelayCommand executes.

UpdateRowSource SQLRClient.SQLRelayCommand.UpdatedRowSource
| getset

Gets or sets how command results are applied to the DataRow when used by the Update method of the DbDataAdapter.